src/Entity/Actualite.php
<?php

namespace App\Entity;

use App\Repository\ActualiteRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: ActualiteRepository::class)]
class Actualite
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'string', length: 50, nullable: true)]
    private $titre_art;

    #[ORM\Column(type: 'date', nullable: true)]
    private $date_art;

    #[ORM\Column(type: 'text', nullable: true)]
    private $description_art;

    #[ORM\Column(type: 'boolean', nullable: true)]
    private $visibilite_art;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTitreArt(): ?string
    {
        return $this->titre_art;
    }

    public function setTitreArt(?string $titre_art): self
    {
        $this->titre_art = $titre_art;

        return $this;
    }

    public function getDateArt(): ?\DateTimeInterface
    {
        return $this->date_art;
    }

    public function setDateArt(?\DateTimeInterface $date_art): self
    {
        $this->date_art = $date_art;

        return $this;
    }

    public function getDescriptionArt(): ?string
    {
        return $this->description_art;
    }

    public function setDescriptionArt(?string $description_art): self
    {
        $this->description_art = $description_art;

        return $this;
    }

    public function getVisibiliteArt(): ?bool
    {
        return $this->visibilite_art;
    }

    public function setVisibiliteArt(?bool $visibilite_art): self
    {
        $this->visibilite_art = $visibilite_art;

        return $this;
    }
}

src/Form/ActualiteType.php
<?php

namespace App\Form;

use App\Entity\Actualite;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ActualiteType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('titre_art')
            ->add('date_art')
            ->add('description_art')
            ->add('visibilite_art')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Actualite::class,
        ]);
    }
}

src/Controller/ActualiteController.php
<?php

namespace App\Controller;

use App\Entity\Actualite;
use App\Form\ActualiteType;
use App\Repository\ActualiteRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/actualite')]
class ActualiteController extends AbstractController
{
    #[Route('/', name: 'app_actualite_index', methods: ['GET'])]
    public function index(ActualiteRepository $actualiteRepository): Response
    {
        return $this->render('actualite/index.html.twig', [
            'actualites' => $actualiteRepository->findAll(),
        ]);
    }

    #[Route('/new', name: 'app_actualite_new', methods: ['GET', 'POST'])]
    public function new(Request $request, ActualiteRepository $actualiteRepository): Response
    {
        $actualite = new Actualite();
        $form = $this->createForm(ActualiteType::class, $actualite);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $actualiteRepository->add($actualite);
            return $this->redirectToRoute('app_actualite_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('actualite/new.html.twig', [
            'actualite' => $actualite,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_actualite_show', methods: ['GET'])]
    public function show(Actualite $actualite): Response
    {
        return $this->render('actualite/show.html.twig', [
            'actualite' => $actualite,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_actualite_edit', methods: ['GET', 'POST'])]
    public function edit(Request $request, Actualite $actualite, ActualiteRepository $actualiteRepository): Response
    {
        $form = $this->createForm(ActualiteType::class, $actualite);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $actualiteRepository->add($actualite);
            return $this->redirectToRoute('app_actualite_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('actualite/edit.html.twig', [
            'actualite' => $actualite,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_actualite_delete', methods: ['POST'])]
    public function delete(Request $request, Actualite $actualite, ActualiteRepository $actualiteRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$actualite->getId(), $request->request->get('_token'))) {
            $actualiteRepository->remove($actualite);
        }

        return $this->redirectToRoute('app_actualite_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/actualite/_delete_form.html.twig
<form method="post" action="{{ path('app_actualite_delete', {'id': actualite.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ actualite.id) }}">
    <button class="btn">Delete</button>
</form>

templates/actualite/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/actualite/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Actualite{% endblock %}

{% block body %}
    <h1>Edit Actualite</h1>

    {{ include('actualite/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_actualite_index') }}">back to list</a>

    {{ include('actualite/_delete_form.html.twig') }}
{% endblock %}

templates/actualite/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Actualite index{% endblock %}

{% block body %}

    {{ include('header/index.html.twig') }}

    {# <h1>Actualite index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Titre_art</th>
                <th>Date_art</th>
                <th>Description_art</th>
                <th>Visibilite_art</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for actualite in actualites %}
            <tr>
                <td>{{ actualite.id }}</td>
                <td>{{ actualite.titreArt }}</td>
                <td>{{ actualite.dateArt ? actualite.dateArt|date('Y-m-d') : '' }}</td>
                <td>{{ actualite.descriptionArt }}</td>
                <td>{{ actualite.visibiliteArt ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('app_actualite_show', {'id': actualite.id}) }}">show</a>
                    <a href="{{ path('app_actualite_edit', {'id': actualite.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_actualite_new') }}">Create new</a> #}

    <div id="bodyActuDiv">
    <div id="derniereActu">
        <div class="news">
            <p class="titreActu" >Dernières actualités</p>
        </div>
    </div>
    <main class="mainActu">
        {# <?php
            foreach ($getAllIdActu as $i) {
        ?> #}
        <div class="containerNewArticle">
            <div class="border"></div>
            <p class="titreActu2">test</p>
            <p class="dateActu">test</p>
            <img class="imgActu" src="" alt="Image actualite">
            <p class="textActu">test</p>
        </div>
        {# <?php } ?> #}
    </main>
</div>

    {{ include('footer/index.html.twig') }}

{% endblock %}

templates/actualite/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Actualite{% endblock %}

{% block body %}
    <h1>Create new Actualite</h1>

    {{ include('actualite/_form.html.twig') }}

    <a href="{{ path('app_actualite_index') }}">back to list</a>
{% endblock %}

templates/actualite/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}Actualite{% endblock %}

{% block body %}
    <h1>Actualite</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ actualite.id }}</td>
            </tr>
            <tr>
                <th>Titre_art</th>
                <td>{{ actualite.titreArt }}</td>
            </tr>
            <tr>
                <th>Date_art</th>
                <td>{{ actualite.dateArt ? actualite.dateArt|date('Y-m-d') : '' }}</td>
            </tr>
            <tr>
                <th>Description_art</th>
                <td>{{ actualite.descriptionArt }}</td>
            </tr>
            <tr>
                <th>Visibilite_art</th>
                <td>{{ actualite.visibiliteArt ? 'Yes' : 'No' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_actualite_index') }}">back to list</a>

    <a href="{{ path('app_actualite_edit', {'id': actualite.id}) }}">edit</a>

    {{ include('actualite/_delete_form.html.twig') }}
{% endblock %}